Subject: Error : Ld : cannot load '-lgcc' no such file or directory
From: [email-masked] (Jon Thackray)

8 Aug 1997 06:11:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Greg Maynard writes:
 > I have been working with GCC for the past couple days, basically
 > tweaking things out because I am very slow at getting things to WORK
 > properly ;).. Anyhow, when I run gcc it gives me the error 'Ld : cannot
 > load '-lgcc' no such file or directory' and I don't know where the heck
 > that is coming from or how I can fix it.. Someone must know ;).. Any
 > help is appreciated..

-lgcc means it is looking for libgcc.a. That can be found in
gcc-lib/i386-cygwin32/cygnus-2.7.2-961023 (at least that's where it is
for beta 17.1). The real question though, is why are you requiring
libgcc.a at all? You might try nm libgcc.a to see if any of the
symbols exported (those marked T or ?) are in your code.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".